package cn.iocoder.yudao.module.reward.controller.app.redeem;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.reward.api.reward.RedeemRewardApi;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardReqVO;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardRespDTO;
import cn.iocoder.yudao.module.reward.controller.app.redeem.vo.AppRewardRedeemDetailReqVO;
import cn.iocoder.yudao.module.reward.controller.app.redeem.vo.AppRewardRedeemDetailRespVO;
import cn.iocoder.yudao.module.reward.controller.app.redeem.vo.AppRewardRedeemListRespVO;
import cn.iocoder.yudao.module.reward.controller.app.redeem.vo.AppRewardRedeemReqVO;
import cn.iocoder.yudao.module.reward.service.redeem.RewardRedeemService;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemPageRespVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.BeanUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "用户 APP - 兑换记录管理")
@RequestMapping("/reward/redeem")
public class AppRedeemRewardController {
    @Resource
    private RedeemRewardApi redeemRewardApi;

    @Resource
    private RewardRedeemService rewardRedeemService;

    @PostMapping("record/list")
    @ApiOperation("兑换记录列表")
    //@PreAuthenticated
    public CommonResult<List<AppRewardRedeemListRespVO>> recordList(@Valid @RequestBody AppRewardRedeemReqVO request) {
        return success(rewardRedeemService.recordList(request.getMemberId()));
    }

    @PostMapping("record/detail")
    @ApiOperation("兑换详情")
    //@PreAuthenticated
    public CommonResult<AppRewardRedeemDetailRespVO> detail(@Valid @RequestBody AppRewardRedeemDetailReqVO request) {
        RewardRedeemPageRespVO detail = rewardRedeemService.detail(request.getRedeemId());
        if (detail != null) {
            AppRewardRedeemDetailRespVO appRewardRedeemDetailRespVO = new AppRewardRedeemDetailRespVO();
            BeanUtils.copyProperties(detail, appRewardRedeemDetailRespVO);
            return success(appRewardRedeemDetailRespVO);
        }
        return null;
    }

    @PostMapping("/single")
    @ApiOperation("兑换礼品")
    //@PreAuthenticated
    public CommonResult<RedeemRewardRespDTO> redeemReward(@Valid @RequestBody RedeemRewardReqVO redeemRewardReqVO) {
        return success(redeemRewardApi.redeemReward(redeemRewardReqVO));
    }
}
