package cn.iocoder.yudao.module.reward.controller.app.reward;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.reward.controller.app.reward.vo.AppRewardBackVO;
import cn.iocoder.yudao.module.reward.controller.app.reward.vo.AppRewardListReqVO;
import cn.iocoder.yudao.module.reward.dal.dataobject.reward.RewardDO;
import cn.iocoder.yudao.module.reward.service.reward.RewardService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.BeanUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "客户端 - 礼品管理")
@RequestMapping("/ecw/reward/")
public class AppRewardController {

    @Resource
    private RewardService rewardService;

    @GetMapping("/get")
    @ApiOperation("获得礼品详情")
    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
    public CommonResult<AppRewardBackVO> get(@RequestParam("id") Long id) {
        RewardDO rewardDO = rewardService.get(id);
        AppRewardBackVO appRewardBackVO = new AppRewardBackVO();
        BeanUtils.copyProperties(rewardDO, appRewardBackVO);
        return success(appRewardBackVO);
    }

    @PostMapping("/list")
    @ApiOperation("会员获得礼品列表")
    public CommonResult<List<AppRewardBackVO>> getListByMemberInfo(@RequestBody AppRewardListReqVO reqVO) {
        List<AppRewardBackVO> list = rewardService.getListByMemberInfo(reqVO);
        return success(list);
    }
}
