package cn.iocoder.yudao.module.reward.controller.app.reward.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 礼品 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("客户端 - 礼品 Response VO")
public class AppRewardBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("礼品ID")
    @ApiModelProperty(value = "礼品ID", required = true)
    private String code;

    @ExcelProperty("中文名称")
    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    //@ExcelProperty("法文名称")
    //@ApiModelProperty(value = "法文名称")
    //private String titleFr;

    @ExcelProperty("中文礼品图片")
    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;

    @ExcelProperty("英文礼品图片")
    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;

    //@ExcelProperty("法文礼品图片")
    //@ApiModelProperty(value = "法文礼品图片")
    //private String imgFr;

    @ExcelProperty("兑换所需积分")
    @ApiModelProperty(value = "兑换所需积分", required = true)
    private Integer pointsRequire;

    @ExcelProperty("兑换网点")
    @ApiModelProperty(value = "兑换网点", required = true)
    private Integer nodeId;

    @ExcelProperty("剩余数量")
    @ApiModelProperty(value = "剩余数量", required = true)
    private Integer quantityRemain;

    @ExcelProperty("活动开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动开始时间")
    private Date startTime;

    @ExcelProperty("活动结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动结束时间")
    private Date endTime;

    @ExcelProperty("领取方式（1上门领取，2包邮到家，3邮寄到付）")
    @ApiModelProperty(value = "领取方式（1上门领取，2包邮到家，3邮寄到付）", required = true)
    private String pickMethod;

    @ExcelProperty("允许兑换次数")
    @ApiModelProperty(value = "允许兑换次数", required = true)
    private Integer allowCount;
}
