package cn.iocoder.yudao.module.reward.dal.dataobject.redeem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_reward_redeem")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RewardRedeemDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 礼品id
     */
    private Long rewardId;
    /**
     * 兑换状态
     */
    private Integer status;
    private Integer scoreCount;
    /**
     * 兑换数量
     */
    private Integer rewardCount;
    /**
     * 兑换方式
     */
    private Integer redeemType;
    /**
     * 兑换入口
     */
    private Integer entrance;
    /**
     * 费用
     */
    private BigDecimal expenses;
    /**
     * 币种
     */
    private Integer currency;
    /**
     * 收件人姓名
     */
    private String recipientName;
    /**
     * 收件人电话
     */
    private String recipientPhoneNum;
    /**
     * 收件人地址
     */
    private String recipientAddress;
    /**
     * 兑换人
     */
    private String redeemer;
    /**
     * 兑换时间
     */
    private Date redemptionTime;
    /**
     * 快递公司
     */
    private Long courierCompany;
    /**
     * 快递单号
     */
    private String expressNo;
    /**
     * 快递日期
     */
    private Date expressDate;
    /**
     * 快递寄出人
     */
    private String expressSender;
    /**
     * 上传附件
     */
    private String annex;
    /**
     * 备注
     */
    private String remark;

    private String verifyUser;

    private Date verifyTime;
}
